Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.openssl
Class EncryptionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.bouncycastle.openssl.EncryptionException

All Implemented Interfaces:
  java.io.Serializable

    public class EncryptionException

extends java.io.IOException

See Also:
  Serialized Form

Constructor Summary
`EncryptionException(java.lang.String msg)`
`EncryptionException(java.lang.String msg, java.lang.Throwable ex)`

Method Summary
`java.lang.Throwable` `getCause()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EncryptionException

    public EncryptionException(java.lang.String msg)

### EncryptionException

    public EncryptionException(java.lang.String msg,
                               java.lang.Throwable ex)

Method Detail

### getCause

    public java.lang.Throwable getCause()

  Overrides:
    `getCause` in class `java.lang.Throwable`

Bouncy Castle Cryptography Library 1.45